{ enableSSL, ... }:

let host = "jichan.org"; in {
  imports = [
    ./tatoeba.nix
    ./images.nix
  ];
  services.nginx.virtualHosts."www.${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    globalRedirect = host;
  };
  services.nginx.virtualHosts."${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    extraConfig = ''
      error_page 502 /502.html;
    '';
    locations = {
      "/".proxyPass = "http://elnuhub:3334";
      "/502.html".root = "${./502}";
      "/logo.svg".root = "${./502}";
      "/missing.min.css".root = "${../shared/502}";
    };
  };
}